<!DOCTYPE html>
<html lang="en" dir="ltr">
  {{ template "head.html" .}}
  <body>
    {{ template "navbar.html" .}}
    <div class="uk-container uk-container-large">
        <h1>All albums</h1>
        <a href="{{ $.pathPrefix }}/album/add">Add new album</a>
        {{ range $a := .albums }}
        <div><div class="uk-card uk-card-default uk-card-body">
          <h3 class="uk-card-title">Album {{ $a.Name }}</h3>
          <p>Bucket subdir name: {{ $a.BucketSubdirName }}</p>
          <p>Description: {{ $a.Description }}</p>
          <p><a href="{{ $.pathPrefix }}/album/show/{{ $a.BucketSubdirName }}?password={{ $a.Password }}">Album link</a></p>
          <p><a href="{{ $.pathPrefix }}/album/show/{{ $a.BucketSubdirName }}">Album link without password</a></p>
          <p><a href="{{ $.pathPrefix }}/album/edit/{{ $a.BucketSubdirName }}">Edit album</a></p>
        </div></div>
        {{ end }}
    </div>
  </body>
</html>